/* FILE: GloveDriver.h

   VERSION: 1.0

   Copyright (c) 1997 Fifth Dimension Technologies.  All Rights Reserved.
*/

/* FUNCTION:
      GloveInit

   PURPOSE:
      Initialise the glove for use on the specified comms port.

   PARAMETERS:
      lpszPort   LPCSTR containing comms port. For example "COM1"

   RETURN VALUE:
      BOOL       TRUE if the function is successful, FALSE otherwise.
*/
extern BOOL FAR PASCAL GloveInit(LPCSTR lpszPort);

/* FUNCTION:
      GloveGetData

   PURPOSE:
      Retrieve the raw data value for the specified finger/device.

   PARAMETERS:
      nIndex    int value from 0 to 6.
				nIndex = 0 -> thumb, n = 1 -> index... n = 4 -> little finger.
				For left handed devices, the order is reversed:
				nIndex = 4 -> thumb, n = 1 -> index... n = 0 -> little finger.
				n = 5 is the Pitch value
				n = 6 is the Roll value

   RETURN VALUE:
      BYTE      contains the 8 bit value requested by nIndex
*/
extern BYTE FAR PASCAL GloveGetData(int nIndex);

/* FUNCTION:
      GloveGetData

   PURPOSE:
      Retrieve a pointer to the raw data values for all fingers/devices.

   PARAMETERS:
      none

   RETURN VALUE:
      LPBYTE    pointer to an array of seven BYTEs indexed as described under
	            parameters for GloveGetData
*/
extern LPBYTE FAR PASCAL GloveGetDataPtr(void);
